Raster inputs do not show in QGIS raster calcultator when using it in graphical modeler 

2017-11-09 12:07 PM - Esbern Holmes

Status: Closed

Priority: High

Assignee:

Category: Processing/Modeller

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25327

Description

There is apparently no way to specify input into the raster calculate when placed in a graphical model. I assume the intention is that the

Layers should be populated with the possible inputs.

QGIS code revision 940c4ed5c5

History

#1 - 2017-11-09 12:14 PM - Esbern Holmes

- Assignee deleted (Esbern Holmes)

#2 - 2017-11-13 01:08 PM - Giovanni Manghi

- Operating System deleted (Windoes 10)

- Priority changed from Normal to High

- Subject changed from No possibility to connect Raster calculate to inputs in Graphical modeler  to Raster inputs do not show in QGIS raster calcultator 

when using it in graphical modeler 

#3 - 2018-01-22 06:02 AM - Alister Hood

There is apparently no way to specify input into the raster calculate when placed in a graphical model.

There has been work on this and the inputs are mostly (see my comments at #17843) listed now, although it can't actually be used yet as the dialog

produces an error.

One of these tickets should probably be closed as a duplicate.

Note that my ticket is filed under the Processing/QGIS category as it is presumably just an issue with the algorithm, not with the modeller itself.

#4 - 2018-02-02 10:43 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed/implemented

There are two different issues here. Issue reported in the ticket itself already fixed, so I'm closing this.
